# Method: accounts.hotelViews.summarize

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/summarize#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/summarize#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/summarize#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/summarize#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/summarize#body.SummarizeHotelViewsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/summarize#body.aspect)

Returns summarized information about hotels.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{parent=accounts/*}/hotelViews:summarize`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the account being queried. The format is `accounts/{account_id}`. |

### Request body

The request body must be empty.

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.hotelViews/summarize#google.travel.travelpartner.v3.HotelViewService.SummarizeHotelViews`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "matchedPropertyCount": string, "unmatchedPropertyCount": string, "unmatchedPropertyWithErrorsCount": string, "overclusteredPropertyCount": string, "overclusteredPropertyWithErrorsCount": string, "liveOnGooglePropertyCount": string, "lastManifestUpdateTime": string, "lastFeedSubmissionTime": string } ``` |

| Fields ||
|---|---|
| `matchedPropertyCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of properties that match Google's manifest. |
| `unmatchedPropertyCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of properties that are considered unmatched. |
| `unmatchedPropertyWithErrorsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of unmatched properties that have data-related errors. |
| `overclusteredPropertyCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of hotels that are considered overclustered. |
| `overclusteredPropertyWithErrorsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of overclustered properties that have data-related errors. |
| `liveOnGooglePropertyCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of properties that are Live on Google. This includes properties that are conditionally active, e.g. LIVE_ON_GOOGLE_STATUS_ACTIVE_OUTSIDE_DSA_REGION. |
| `lastManifestUpdateTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Timestamp of the last hotel manifest update. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `lastFeedSubmissionTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Timestamp of the last hotel feed submission. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).